package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TableNiuseRongliang;


/**
*  Dao接口
*/
@DataSource("dataSourceSqlserver")
@Repository("com.zoumaframe.dao.TableNiuseRongliangMapper")
public interface TableNiuseRongliangMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TableNiuseRongliang record);

    TableNiuseRongliang selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TableNiuseRongliang record);

    List<TableNiuseRongliang> queryAllTableNiuseRongliang(TableNiuseRongliang record);

    List<TableNiuseRongliang> queryTableNiuseRongliangByPage(Map<String, Object> parameter);

    int delete(TableNiuseRongliang record);

    TableNiuseRongliang queryTableNiuseRongliang(TableNiuseRongliang record);

    List<TableNiuseRongliang> query(TableNiuseRongliang record);
}

